madwifi: modprobe complains about "Invalid module format" - Debian

This is a discussion on madwifi: modprobe complains about "Invalid module format" - Debian ; Hi, I've been working with madwifi on a Thinkpad T41P for over half a year now and have had no problems. New kernel versions needed a re-compile of the module, which was painless and done quickly. With kernel 2.6.12 however, ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: madwifi: modprobe complains about "Invalid module format"

  1. madwifi: modprobe complains about "Invalid module format"


    Hi,

    I've been working with madwifi on a Thinkpad T41P for over half a year now and have had no problems. New kernel versions needed a re-compile of the module, which was painless and done quickly.

    With kernel 2.6.12 however, I've ran into the problem that

    # modprobe ath_pci

    results inWARNING: Error inserting ath_hal (/lib/modules/2.6.12/net/ath_hal.ko): Invalid module format
    WARNING: Error inserting wlan (/lib/modules/2.6.12/net/wlan.ko): Invalid module format
    WARNING: Error inserting ath_rate_onoe (/lib/modules/2.6.12/net/ath_rate_onoe.ko): Invalid module format
    FATAL: Error inserting ath_pci (/lib/modules/2.6.12/net/ath_pci.ko): Invalid module format

    WARNING: Error inserting ath_hal (/lib/modules/2.6.12/net/ath_hal.ko): Invalid module format
    WARNING: Error inserting wlan (/lib/modules/2.6.12/net/wlan.ko): Invalid module format
    WARNING: Error inserting ath_rate_onoe (/lib/modules/2.6.12/net/ath_rate_onoe.ko): Invalid module format
    FATAL: Error inserting ath_pci (/lib/modules/2.6.12/net/ath_pci.ko): Invalid module format

    I set the KERNELPATH variable correctly, and I am using a kernel that supports modules. What am I doing wrong?

    Thanks for any suggestions,
    Andre
    __________________________________________________ ____________
    Verschicken Sie romantische, coole und witzige Bilder per SMS!
    Jetzt bei WEB.DE FreeMail: http://f.web.de/?mc=021193


    --
    To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Re: madwifi: modprobe complains about "Invalid module format"

    Could the kernel you are using have been compiled with a different compiler
    then the modules you are trying to modprobe?

    Look at $modinfo ath_pci
    There should be a line like the following:
    vermagic: 2.6.12-1-amd64-k8 gcc-4.0
    telling you for which kernel headers and with which compiler the module was
    compiled. This has to equal the values for the kernel.

    Am Dienstag, 11. Oktober 2005 16:51 schrieb André Wendt:
    > WARNING: Error inserting ath_hal
    > (/lib/modules/2.6.12/net/ath_hal.ko): Invalid module format WARNING: Error
    > inserting wlan (/lib/modules/2.6.12/net/wlan.ko): Invalid module format
    > WARNING: Error inserting ath_rate_onoe
    > (/lib/modules/2.6.12/net/ath_rate_onoe.ko): Invalid module format FATAL:
    > Error inserting ath_pci (/lib/modules/2.6.12/net/ath_pci.ko): Invalid
    > module format
    >
    > WARNING: Error inserting ath_hal (/lib/modules/2.6.12/net/ath_hal.ko):
    > Invalid module format WARNING: Error inserting wlan
    > (/lib/modules/2.6.12/net/wlan.ko): Invalid module format WARNING: Error
    > inserting ath_rate_onoe (/lib/modules/2.6.12/net/ath_rate_onoe.ko): Invalid
    > module format FATAL: Error inserting ath_pci
    > (/lib/modules/2.6.12/net/ath_pci.ko): Invalid module format
    >
    > I set the KERNELPATH variable correctly, and I am using a kernel that
    > supports modules. What am I doing wrong?


  3. Re: madwifi: modprobe complains about "Invalid module format"

    Frank schrieb:
    > Could the kernel you are using have been compiled with a different compiler
    > then the modules you are trying to modprobe?
    >
    > Look at $modinfo ath_pci
    > There should be a line like the following:
    > vermagic: 2.6.12-1-amd64-k8 gcc-4.0
    > telling you for which kernel headers and with which compiler the module was
    > compiled. This has to equal the values for the kernel.
    >
    > Am Dienstag, 11. Oktober 2005 16:51 schrieb André Wendt:
    >
    >>WARNING: Error inserting ath_hal
    >>(/lib/modules/2.6.12/net/ath_hal.ko): Invalid module format WARNING: Error
    >>inserting wlan (/lib/modules/2.6.12/net/wlan.ko): Invalid module format
    >>WARNING: Error inserting ath_rate_onoe
    >>(/lib/modules/2.6.12/net/ath_rate_onoe.ko): Invalid module format FATAL:
    >>Error inserting ath_pci (/lib/modules/2.6.12/net/ath_pci.ko): Invalid
    >>module format
    >>
    >>WARNING: Error inserting ath_hal (/lib/modules/2.6.12/net/ath_hal.ko):
    >>Invalid module format WARNING: Error inserting wlan
    >>(/lib/modules/2.6.12/net/wlan.ko): Invalid module format WARNING: Error
    >>inserting ath_rate_onoe (/lib/modules/2.6.12/net/ath_rate_onoe.ko): Invalid
    >>module format FATAL: Error inserting ath_pci
    >>(/lib/modules/2.6.12/net/ath_pci.ko): Invalid module format
    >>
    >>I set the KERNELPATH variable correctly, and I am using a kernel that
    >>supports modules. What am I doing wrong?


    Oh great, I could have thought of that myself, Frank. ;-)

    I compiled the kernel with gcc-3.3, but I think I might have compiled
    the module with the current gcc-4.0.

    Thanks, if that doesn't help, I'll post another message on the topic.

    Best regards,
    Andre


    --
    To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread